Package org.apache.sis.measure

# Class RangeFormat.Field

Object
AttributedCharacterIterator.Attribute
Format.Field
Field

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  RangeFormat

public static final class RangeFormat.Field extends Format.Field
Constants that are used as attribute keys in the iterator returned from `RangeFormat​.formatToCharacterIterator(Object)`.

Since:
  0.3
See Also:
  - Serialized Form

Defined in the `sis-utility` module

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RangeFormat​.Field`
  `MAX_VALUE`
  Identifies the maximal value field in a range.
  `static final RangeFormat​.Field`
  `MIN_VALUE`
  Identifies the minimal value field in a range.
  `static final RangeFormat​.Field`
  `UNIT`
  Identifies the unit field in a range, if any.

  ### Fields inherited from class AttributedCharacterIterator.Attribute

  `INPUT_METHOD_SEGMENT, LANGUAGE, READING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final Object`
  `readResolve()`
  Invoked on deserialization for resolving this instance to one of the predefined constants.

  ### Methods inherited from class AttributedCharacterIterator.Attribute

  `equals, getName, hashCode, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MIN_VALUE

    public static final RangeFormat.Field MIN_VALUE
    Identifies the minimal value field in a range. When formatting a string, this value may be specified to the `FieldPosition` constructor in order to get the bounding index where the minimal value has been written.

  - ### MAX_VALUE

    public static final RangeFormat.Field MAX_VALUE
    Identifies the maximal value field in a range. When formatting a string, this value may be specified to the `FieldPosition` constructor in order to get the bounding index where the maximal value has been written.

  - ### UNIT

    public static final RangeFormat.Field UNIT
    Identifies the unit field in a range, if any. When formatting a string, this value may be specified to the `FieldPosition` constructor in order to get the bounding index where the unit has been written.

- ## Method Details

  - ### readResolve

    protected final Object readResolve() throws InvalidObjectException
    Invoked on deserialization for resolving this instance to one of the predefined constants.
    Overrides:
      `readResolve` in class `AttributedCharacterIterator​.Attribute`
    Returns:
      one of the predefined constants.
    Throws:
      `InvalidObjectException` - if this instance can not be resolved.